<div class="row" *ngIf="project">
  <div class="col-12">
    <h4 class="page-title">Projektstatistik - {{project.name}}</h4>
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item" *ngIf="project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
        <li class="breadcrumb-item" *ngIf="project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
        <li class="breadcrumb-item"><a routerLink="/projects/{{projectId}}/ensembles/{{ensembleId}}">{{project.name}}</a></li>
        <li class="breadcrumb-item active" aria-current="page">Projektstatistik</li>
      </ol>
    </nav>
  </div>
</div>
<div class="row mb-3" *ngIf="project && eventAnnouncements && eventAnnouncements.length > 0">
  <div class="col-md-6 mb-3">
    <eos-announcement-stats [project]="project" [ensembleId]="ensembleId" [mode]="'project'"></eos-announcement-stats>
  </div>
  <div class="col-md-6">
    <eos-announcement-registers [project]="project" [ensembleId]="ensembleId" [mode]="'project'"></eos-announcement-registers>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-heading">
        <h5>Anmeldungen</h5>
      </div>
      <div class="card-body">
        <div *ngIf="project && eventAnnouncements && eventAnnouncements.length > 0">
          <tabset>
            <tab heading="Anmeldeliste">
              <eos-announcement-list [project]="project" [ensembleId]="ensembleId" [mode]="'project'"></eos-announcement-list>

            </tab>
            <tab heading="Anmeldungen" id="tab1">
              <eos-event-overview-table [users]="eventAnnouncements" [mode]="'announcement'" [events]="events"></eos-event-overview-table>
            </tab>
            <tab heading="Anwesenheit">
              <eos-event-overview-table [users]="attendances" [mode]="'attendance'" [events]="events"></eos-event-overview-table>
            </tab>
            <tab heading="Anmeldungen in Prozent">
              <eos-announcement-user-percent *ngIf="events && events.length > 0" [project]="project" [ensembleId]="ensembleId" [mode]="'project'"></eos-announcement-user-percent>
              <div *ngIf="events && events.length == 0">
                <alert type="info">Es sind noch Termine im Projekt vorhanden.</alert>
              </div>
            </tab>
          </tabset>
        </div>
        <div *ngIf="eventAnnouncements && eventAnnouncements.length == 0">
          <alert type="info">Es sind noch keine Anmeldungen zum Projekt vorhanden.</alert>
        </div>
      </div>
    </div>
  </div>
</div>
